#
# spec file for package gnu-unifont-fonts
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2025 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnu-unifont-fonts
Version:        16.0.04
Release:        1.1
Summary:        GNU Unifont fonts
License:        GPL-2.0-or-later OR OFL-1.1
Group:          System/X11/Fonts
URL:            https://unifoundry.com/unifont.html
Source8:        https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont-%{version}.otf
Source9:        https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont-%{version}.otf.sig
Source10:       https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont_csur-%{version}.otf
Source11:       https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont_csur-%{version}.otf.sig
Source12:       https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont_jp-%{version}.otf
Source13:       https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont_jp-%{version}.otf.sig
Source14:       https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont_upper-%{version}.otf
Source15:       https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont_upper-%{version}.otf.sig
Source16:       https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont-%{version}.pcf.gz
Source17:       https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont-%{version}.pcf.gz.sig
Source98:       http://unifoundry.com/LICENSE.txt
Source99:       %{name}.keyring
BuildRequires:  fontpackages-devel
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
The GNU Unifont by Roman Czyborra.
The Standard Unifont OTF.
Glyphs above the Unicode Basic Multilingual Plane.
Unicode ConScript Unicode Registry (CSUR) PUA Glyphs.

%package -n gnu-unifont-bitmap-fonts
Summary:        GNU Unifont (X11 portable compiled format)
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n gnu-unifont-bitmap-fonts
The GNU Unifont by Roman Czyborra.
Glyphs above the Unicode Basic Multilingual Plane.
Unicode ConScript Unicode Registry (CSUR) PUA Glyphs.

This package contains the font in .pcf format.

%package -n gnu-unifont-otf-fonts
Summary:        GNU Unifont (OpenType Format)
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n gnu-unifont-otf-fonts
The GNU Unifont by Roman Czyborra.
Glyphs above the Unicode Basic Multilingual Plane.
Unicode ConScript Unicode Registry (CSUR) PUA Glyphs.

This package contains fonts in OpenType format.

%package -n gnu-unifont-jp-otf-fonts
Summary:        GNU Unifont Japanese (OpenType Format)
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n gnu-unifont-jp-otf-fonts
The GNU Unifont by Roman Czyborra.
Unifont Japanese OpenType Version.

%prep
cp %{SOURCE98} COPYING

%build

%install
install -Dm 0644 %{SOURCE8}  %{buildroot}%{_ttfontsdir}/Unifont.otf
install -Dm 0644 %{SOURCE10} %{buildroot}%{_ttfontsdir}/Unifont_CSUR.otf
install -Dm 0644 %{SOURCE12} %{buildroot}%{_ttfontsdir}/Unifont_JP.otf
install -Dm 0644 %{SOURCE14} %{buildroot}%{_ttfontsdir}/Unifont_Upper.otf
install -Dm 0644 %{SOURCE16} %{buildroot}/%{_fontsdir}/misc/unifont.pcf.gz

%reconfigure_fonts_scriptlets -n gnu-unifont-bitmap-fonts
%reconfigure_fonts_scriptlets -n gnu-unifont-otf-fonts
%reconfigure_fonts_scriptlets -n gnu-unifont-jp-otf-fonts

%files -n gnu-unifont-bitmap-fonts
%license COPYING
%{_fontsdir}/misc/

%files -n gnu-unifont-otf-fonts
%license COPYING
%dir %{_ttfontsdir}
%{_ttfontsdir}/Unifont.otf
%{_ttfontsdir}/Unifont_CSUR.otf
%{_ttfontsdir}/Unifont_Upper.otf

%files -n gnu-unifont-jp-otf-fonts
%license COPYING
%dir %{_ttfontsdir}
%{_ttfontsdir}/Unifont_JP.otf

%changelog
* Tue Jun  3 2025 Andreas Stieger <andreas.stieger@gmx.de>
- update to 16.0.04:
  * Unicode 16 support
  * Many updated glyphs in Planes 0, 1, 2, 3, 14, 15
* Fri Mar  1 2024 Andreas Stieger <andreas.stieger@gmx.de>
- update to 15.1.05:
  * Plane 0: redraw all Hangul glyphs not in the Hangul Syllables
    range, so their style more closely resembles the style of the
    Hangul Syllables range
  * improve several glyphs in the range U+2100..U+214F
    Letterlike Symbols.
  * redraw U+013D LATIN CAPITAL LETTER L WITH CARON for better
    compatibility with other glyphs in the Czech and Slovak
    alphabets.
  * Planes 2 and 3: almost 600 new ideographs
  * Plane F: modify the Sitelen Pona script, added combining
    character indicators and adding several new glyphs since the
    last release
* Tue Dec 12 2023 Giacomo Comes <gcomes.obs@gmail.com>
- add %%reconfigure_fonts_prereq to the subpackages
  * required by the presence of the macro:
    %%reconfigure_fonts_scriptlets -n <subpackage-name>
* Mon Oct 30 2023 Andreas Stieger <andreas.stieger@gmx.de>
- update to 15.1.04:
  * Default and Japanese versions have larger supersets of Plane 2
    and Plane 3 glyphs
  * Updates for U+266D..U+266F and U+26BC
* Sun Oct 22 2023 Andreas Stieger <andreas.stieger@gmx.de>
- update to 15.1.03:
  * Additions and extensions to multiple CJK Unified Ideographs
    Extension glyps, and Plane 0 Wen Quan Yi range
* Tue Sep 19 2023 Andreas Stieger <andreas.stieger@gmx.de>
- update to 15.1.01:
  * Aligned with Unicode 15.1.0 changes
  * Update to multiple glyphs
  * Full GB 18030-2022 Implementation Level 2 support
* Wed Feb 15 2023 Jan Engelhardt <jengelh@inai.de>
- Add pcf font to SRPM
* Mon Feb 13 2023 Martin Hauke <mardnh@gmx.de>
- Rename package
  * gnu-unifont-ttf-fonts -> gnu-unifont-fonts
- Package otf fonts. Introduce new subpackages
  * gnu-unifont-otf-fonts
  * gnu-unifont-jp-otf-fonts
- Specfile cleanup
* Tue Sep 20 2022 Андрей Алыпов <and.november@opensuse.org>
- update to version 15.0.01
* Tue Jul 27 2021 Андрей Алыпов <and.november@opensuse.org>
- update to version 13.0.06
* Mon Apr 13 2020 Андрей Алыпов <and.november@opensuse.org>
- added fonts
- added new package gnu-unifont-jp-ttf-fonts
* Sun Apr 12 2020 Андрей Алыпов <and.november@opensuse.org>
- initial package (version 13.0.01) for openSUSE
